# The site blueprint must have a title, the title may be different from the file name
# The `site.yml` blueprint defines the look of the start page (Dashboard) of the Panel.
title: Site

# The site blueprint usually provides easy access to all main pages of the site.
# In this example blueprint, we also show subpages of the `photography` and `notes` pages.
# More about the site blueprint: https://getkirby.com/docs/reference/panel/blueprints/site

# The layout of this form has two columns:
columns:
  # The first column has one section for the subpages of the `photography` page in card layout
  # It reuses the pages section defined in `/site/blueprints/sections/albums.yml`
  - width: 2/3
    sections:
      cards:
        headline: Desk
        extends: sections/cards
        layout: list
        limit: 10
        info: Publiée le {{ page.date }}
        image: 
          query: page.imageCover.toFile
      projects:
        headline: Portfolio
        extends: sections/projects
        layout: cards
        image: 
          query: page.imageCover.toFile
          cover: true
            ratio: 1/1

            
  # The second column has two sections, `notes` and `pages`
  - width: 1/3
    sections:
      home: 
        status: unlisted
        type: pages
        create: default
        image: false
        templates:
          - home
      Menu:
        type: pages
        create: default
        image: false
        status: listed

      unlisted:
        status: unlisted
        type: pages
        create: default
        image: false
        headline: Non-listées
        templates:
          - default
      pagesdrafts:
        status: draft
        type: pages
        create: default
        image: false
        headline: Brouillons
        templates:
          - default
      Fichiers:
        headline: Fichiers mis en ligne ici
        type: files
        when:
          options: true
  - width: 2/3
    sections:
      ideasDrafts:
        extends: sections/ideas
        headline: Idées publiées
        status: draft
      ideasListed:
        extends: sections/ideas
        headline: Idées publiées
        status: listed
  - width: 1
    sections:
      SiteOptions:
        type: fields
        fields:
          options:
            label: Afficher les options du site
            type: toggle     
  - width: 1/4
    sections:
      logo:
        type: files
        headline: Logo
        template: logo
        layout: cards
        size: medium
        image:
          ratio: 1/1
          back: white
        max: 1
        when:
          options: true
      header:
        type: files
        headline: header
        template: header
        layout: cards
        size: medium
        image:
          ratio: 5/1
        max: 1
        when:
          options: true
  - width: 1/4
    sections:
      macaronNouveau:
        type: files
        headline: Macaron "Nouveau"
        template: image/macaronNouveau
        layout: cards
        size: medium
        image:
          ratio: 1/1
        max: 1
        when:
          options: true
      macaronAVendre:
        type: files
        headline: Macaron "À Vendre" 
        template: image/macaronAVendre
        layout: cards
        size: medium
        image:
          ratio: 1/1
        max: 1
        when:
          options: true
     
  - width: 2/4
    sections:     
      content:
        type: fields
        fields:
          socialmedias:
            label: Social medias
            type: headline
            numbered: false
            when:
              options: true
          secondMenuLinks:
            label: Liens du deuxième menu
            type: structure
            when:
              options: true
            fields:
              texte:
                label: lien affiché
                type: text
              url:
                label: Lien
                type: url
          socialmediaslinks:
            label: Liens du menu des réseaux sociaux
            type: structure
            when:
              options: true
            fields:
              texte:
                label: lien affiché
                type: text
              url:
                label: Lien
                type: url
          footer:
            label: Footer
            type: headline
            numbered: false
            when:
              options: true
          footerTexte:
            label: Texte
            type: text
            when:
              options: true
          footerCopyright:
            label: Copyright
            type: text
            when:
              options: true          